websocket-sharp : WebSocketSharp Namespace

# Opcode Enum

Contains the values of the opcodes that denotes the frame type of the WebSocket frame.

## Syntax

[System.Flags]
public enum Opcode

## Remarks

The Opcode enumeration contains the values of the opcodes defined in RFC 6455 for the WebSocket protocol.

## Members

Member Name | Description
--- | ---
BINARY | Equivalent to numeric value 2. Indicates a binary frame.
CLOSE | Equivalent to numeric value 8. Indicates a connection close frame.
CONT | Equivalent to numeric value 0. Indicates a continuation frame.
PING | Equivalent to numeric value 9. Indicates a ping frame.
PONG | Equivalent to numeric value 10. Indicates a pong frame.
TEXT | Equivalent to numeric value 1. Indicates a text frame.

## Requirements

Namespace: WebSocketSharp
Assembly: websocket-sharp (in websocket-sharp.dll)